      PROGRAM MAILER
      
      IMPLICIT NONE
      INCLUDE 'SEE4F.INC'
     
      CHARACTER*64 SmtpHostName
      CHARACTER*64 YourEmailAddr
      CHARACTER*64 SendTo
      CHARACTER*64 Subject
      CHARACTER*64 Message
      INTEGER*4 Code  
        
C     *** IMPORTANT ****************************************
C     *** Edit these next 3 lines with your SMTP server name
C     *** and email addresses. See Users Manual (SEE4F_U.TXT)
C     *****************************************************
      SmtpHostName = 'smtp_host_name' // CHAR(0)
      YourEmailAddr = 'your_email_address' // CHAR(0)
      SendTo = 'receipients_email_address' // CHAR(0)
C     *****************************************************
      
C     *** define remaining email parameters    

      Subject = 'MAILER Test' // CHAR(0)
      Message = 'Mailed from MAILER program.' // CHAR(0)
     
C     *** connect to SMTP server 

      WRITE(*,*) 'Calling seeConnectTo()...'
      Code = seeConnectTo(
     1    VAL(LOC(SmtpHostName)),       ! SMTP Host name
     2    VAL(LOC(YourEmailAddr)),      ! Your email address
     3    VAL(0) )                      ! ReplyTo header
      IF(Code .LT. 0) THEN              
        WRITE(*,*) 'SeeConnectTo returns error ', Code
        CALL ErrorExit
      END IF
 
C     *** send email 

      WRITE(*,*) 'Calling seeSendEmail()...'
      Code = seeSendEmail(
     1    VAL(LOC(SendTo)),              ! Receipient's email address
     2    VAL(0),                        ! no CC list
     3    VAL(0),                        ! no BCC list
     4    VAL(LOC(Subject)),             ! subject
     5    VAL(LOC(Message)),             ! text of message
     6    VAL(0) )                       ! no attachment
     
      IF(Code .LT. 0) THEN
        WRITE(*,*) 'seeSendMail returns error ', Code
        CALL ErrorExit
      END IF
      
      Code = seeClose()
      STOP
      END
      
C     *** Error exit subroutine      

      SUBROUTINE ErrorExit
      CHARACTER*64 Buffer
      INTEGER*4 I, Code
C     *** clear Buffer      
      DO 199 I = 1, 64
        Buffer = ' '
 199  CONTINUE
C     *** get error text into Buffer & print message
      Code = seeErrorText(VAL(Code),VAL(LOC(Buffer)),VAL(64))
      WRITE(*,*) Buffer
      Code = seeClose()
      STOP
      END
      